Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.views
Class PropertiesBrowserPage

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage
              org.eclipse.gmf.runtime.diagram.ui.properties.views.PropertiesBrowserPage

All Implemented Interfaces:
  java.util.EventListener, IPropertyChangeListener, ILabelProviderListener, ISelectionListener, IPage, IPageBookViewPage, IPropertySheetPage

    public class PropertiesBrowserPage

extends TabbedPropertySheetPage
implements IPropertyChangeListener

A property sheet page for modeler.

Field Summary

Fields inherited from class org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage
`tabListContentProvider`

Constructor Summary
`PropertiesBrowserPage(ITabbedPropertySheetPageContributor contributor)` Constructor

Method Summary
`void` `createControl(Composite parent)`
`void` `dispose()`
`ITabbedPropertySheetPageContributor` `getContributor()` Get the property sheet page contributor.
`protected IStructuredSelection` `getSelectedElements()`
`void` `labelProviderChanged(LabelProviderChangedEvent event)`
`void` `propertyChange(PropertyChangeEvent event)`
`void` `selectionChanged(IWorkbenchPart part, ISelection selection)`
`void` `setActionBars(IActionBars actionBars)`
`void` `setFocus()`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage
`addTabSelectionListener, createTab, getActiveTabs, getControl, getCurrentTab, getSelectedTab, getTabListContentProvider, getTitleImage, getTitleText, getWidgetFactory, handlePartActivated, overrideTabs, refresh, removeTabSelectionListener, resizeScrolledComposite, setSelectedTab, updateTabs`

Methods inherited from class org.eclipse.ui.part.Page
`getSite, init, makeContributions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesBrowserPage

    public PropertiesBrowserPage(ITabbedPropertySheetPageContributor contributor)

  Constructor

  Parameters:
    `contributor` - the `ITabbedPropertySheetPageContributor` for this property sheet page

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IPage`
  Overrides:
    `dispose` in class `TabbedPropertySheetPage`

### setActionBars

    public void setActionBars(IActionBars actionBars)

  Specified by:
    `setActionBars` in interface `IPage`
  Overrides:
    `setActionBars` in class `TabbedPropertySheetPage`

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `IPropertyChangeListener`

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `IPage`
  Overrides:
    `setFocus` in class `TabbedPropertySheetPage`

### createControl

    public void createControl(Composite parent)

  Specified by:
    `createControl` in interface `IPage`
  Overrides:
    `createControl` in class `TabbedPropertySheetPage`

### selectionChanged

    public void selectionChanged(IWorkbenchPart part,
                                 ISelection selection)

  Specified by:
    `selectionChanged` in interface `ISelectionListener`
  Overrides:
    `selectionChanged` in class `TabbedPropertySheetPage`

### labelProviderChanged

    public void labelProviderChanged(LabelProviderChangedEvent event)

  Specified by:
    `labelProviderChanged` in interface `ILabelProviderListener`
  Overrides:
    `labelProviderChanged` in class `TabbedPropertySheetPage`

### getContributor

    public ITabbedPropertySheetPageContributor getContributor()

  Get the property sheet page contributor.

  Returns:
    the property sheet page contributor.

### getSelectedElements

    protected IStructuredSelection getSelectedElements()

  Returns:
    Returns the selectedElements.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.